curl --request POST \
--url https://api.cnap.tech/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PostgreSQL HA",
"sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {
"artifact_hub_helm_package": {},
"auto_deploy": true
}
}
],
"registry_proxy_mode": "auto"
}
'{
"template_id": "<string>"
}Creates a template with helm sources. Templates define the Kubernetes resources that products deploy.
curl --request POST \
--url https://api.cnap.tech/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PostgreSQL HA",
"sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {
"artifact_hub_helm_package": {},
"auto_deploy": true
}
}
],
"registry_proxy_mode": "auto"
}
'{
"template_id": "<string>"
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Template created